part of 'main_bloc.dart';

@immutable
sealed class MainState {
  final InputType inputType;
  const MainState(this.inputType);
}

class ChosenJsonState extends MainState {
  const ChosenJsonState() : super(InputType.json);
}

class ChosenUrlState extends MainState {
  const ChosenUrlState() : super(InputType.url);
}

class SettingState extends MainState {
  const SettingState(super.inputType);
}

class PlayerState extends MainState {
  final Provider provider;
  const PlayerState(super.inputType, this.provider);
}